elpa-counsel_0.12.0+dfsg-1_all.deb


Advertisement

Description

elpa-counsel - collection of Ivy-enhanced versions of common Emacs commands

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename elpa-counsel_0.12.0+dfsg-1_all.deb
Package name elpa-counsel
Package version 0.12.0+dfsg
Package release 1
Package architecture all
Package type deb
Category implemented-in::lisp lisp role::plugin suite::emacs use::TODO
Homepage https://github.com/abo-abo/swiper
License -
Maintainer Debian Emacsen team <debian-emacsen@lists.debian.org>
Download size 97.81 KB
Installed size 351.00 KB

Alternatives

Package Version Architecture Repository
elpa-counsel_0.12.0+dfsg-1_all.deb 0.12.0+dfsg all Debian Main
elpa-counsel - - -

Requires

Name Value
elpa-swiper >= 0.12.0
emacsen-common -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package elpa-counsel_0.12.0+dfsg-1_all.deb
Source Package emacs-ivy

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install elpa-counsel deb package:
    # sudo apt-get install elpa-counsel

Files

Path
/usr/lib/emacsen-common/packages/compat/elpa-counsel
/usr/lib/emacsen-common/packages/install/elpa-counsel
/usr/lib/emacsen-common/packages/remove/elpa-counsel
/usr/share/doc/elpa-counsel/changelog.Debian.gz
/usr/share/doc/elpa-counsel/changelog.gz
/usr/share/doc/elpa-counsel/copyright
/usr/share/emacs/site-lisp/elpa-src/counsel-0.12.0/counsel-autoloads.el
/usr/share/emacs/site-lisp/elpa-src/counsel-0.12.0/counsel-pkg.el
/usr/share/emacs/site-lisp/elpa-src/counsel-0.12.0/counsel.el
/usr/share/emacs/site-lisp/elpa-src/counsel-0.12.0/ivy-test.el

Changelog

2019-08-25 - Nicholas D Steeves <nsteeves@gmail.com>
emacs-ivy (0.12.0+dfsg-1) unstable; urgency=medium
* New upstream version.
* Switch to debhelper-compat 12.
* Fix typos in long descriptions.
* Reflect upstream's updated copyright years in d/copyright.
* Update counsel's description with the most noteworthy new functionality.
* Add 0001-Skip-3-tests-that-are-unsuitable-for-buildd-or-DebCI.patch
Tests depend on network access.
* override_dh_installchangelogs: Install Changelog.org as changelog, and
append local-var-snippet to activate org-mode when visiting this file
using Emacs.
* gbp.conf: Disable pristine-tar, which is no longer used in this package.
* Drop debian/TODO.
* Add Upstream-Contact.
* Make it explicit that we're not using the upstream Makefile by echoing
this in override_dh_auto_build.
* Declare Standards-Version 4.4.0 (no changes required).
2019-01-28 - Nicholas D Steeves <nsteeves@gmail.com>
emacs-ivy (0.11.0+dfsg-1) unstable; urgency=medium
* Switch Vcs from alioth to salsa.
* Switch to debhelper and compat level 12.
* Change section to editors, which is more accurate and discoverable.
* Update Maintainer team name and email address.
* Drop unused build dependency on pandoc. (unused since 0.10.0+dfsg-1)
- ivy.el uses org-mode to view ivy-help.org in 'describe-mode.
* Add Suggests: elpa-flx, which adds fuzzy matching support to Ivy.
* Add Suggests: elpa-avy, which adds balanced decision tree-based
traversal of selection candidates.
* control: Enhance descriptions with better grammar and clarity.
* control: Update Enhances section for elpa-counsel.
* Update my copyright years.
* debian/watch: Repack the +dfsg orig tar using xz compression.
* Declare Standards-Version 4.3.0. (No additional changes needed)
* control: Add Enhances elpa-hydra.
* rules: Drop override_dh_installchangelogs, and use
debian/elpa-ivy.docs to install the upstream Changelog.org to
/usr/share/doc/elpa-ivy as-is and in .org format.
2017-12-17 - Nicholas D Steeves <nsteeves@gmail.com>
emacs-ivy (0.10.0+dfsg-1) unstable; urgency=medium
* New upstream version 0.10.0+dfsg
* Declare Standards-Version: 4.1.2. (No additional changes needed)
* Drop 0001-Prevent-void-function-colir-color-parse-in-ivy-test.patch
- It has been merged upstream.
2017-06-23 - Nicholas D Steeves <nsteeves@gmail.com>
emacs-ivy (0.9.1+dfsg-1) unstable; urgency=medium
* Initial release. (Closes: #863216)
* Add 0001-Prevent-void-function-colir-color-parse-in-ivy-test.patch
- Needed for self-tests to succeed
* debian/copyright: Exclude non-free GFDL docs (doc/ivy.org and
doc/ivy.texi)

See Also

Package Description
elpa-csv-mode_1.9-2_all.deb Emacs major mode for editing comma, char, and tab separated values
elpa-ctable_0.1.2-5_all.deb table component for Emacs Lisp
elpa-cycle-quotes_0.1-3_all.deb Emacs command to cycle between quotation marks
elpa-darcsum_1.10+20120116-3_all.deb pcl-cvs like interface for managing darcs patches
elpa-dash-functional_1.2.0+dfsg-6_all.deb collection of functional combinators for Emacs Lisp
elpa-dash_2.16.0+dfsg-1_all.deb modern list manipulation library for Emacs
elpa-db_0.0.6+git20140421.b3a423f-2_all.deb database interface for Emacs Lisp
elpa-debian-el_37.9_all.deb Emacs helpers specific to Debian users
elpa-debpaste_0.1.5-3_all.deb paste.debian.net client for Emacs
elpa-deferred_0.5.1-3_all.deb simple asynchronous functions for Emacs Lisp
elpa-deft_0.8-2_all.deb Emacs mode to browse, filter, and edit plain text notes
elpa-devscripts_40.4_all.deb Emacs wrappers for the commands in devscripts
elpa-dictionary_1.10+git20190107-2_all.deb dictionary client for Emacs
elpa-diff-hl_1.8.7-1_all.deb highlight uncommitted changes using VC
elpa-diffview_1.0-2_all.deb view diffs in side-by-side format
Advertisement
Advertisement